# HG changeset patch
# Node ID 013bdaf22348
# Parent  43f994f7f9f2
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -46,8 +46,8 @@
 #include "gtkutils.h"
 #include "pidginavatar.h"
 #include "pidgincolor.h"
-#include "pidginconversationwindow.h"
 #include "pidgincore.h"
+#include "pidgindisplaywindow.h"
 #include "pidgininfopane.h"
 #include "pidgininvitedialog.h"
 #include "pidginmessage.h"
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -33,10 +33,10 @@
 	'pidginavatar.c',
 	'pidgincolor.c',
 	'pidgincommands.c',
-	'pidginconversationwindow.c',
 	'pidgincontactlistwindow.c',
 	'pidgindebug.c',
 	'pidgindialog.c',
+	'pidgindisplaywindow.c',
 	'pidginiconname.c',
 	'pidgininfopane.c',
 	'pidgininvitedialog.c',
@@ -102,10 +102,10 @@
 	'pidginattachment.h',
 	'pidginavatar.h',
 	'pidgincolor.h',
-	'pidginconversationwindow.h',
 	'pidgincontactlistwindow.h',
 	'pidgincore.h',
 	'pidgindialog.h',
+	'pidgindisplaywindow.h',
 	'pidgindebug.h',
 	'pidginiconname.h',
 	'pidgininfopane.h',
diff --git a/pidgin/pidginapplication.c b/pidgin/pidginapplication.c
--- a/pidgin/pidginapplication.c
+++ b/pidgin/pidginapplication.c
@@ -46,9 +46,9 @@
 #include "pidginaccountmanager.h"
 #include "pidginaccountsdisabledmenu.h"
 #include "pidginaccountsenabledmenu.h"
-#include "pidginconversationwindow.h"
 #include "pidgincore.h"
 #include "pidgindebug.h"
+#include "pidgindisplaywindow.h"
 #include "pidginmooddialog.h"
 #include "pidginpluginsdialog.h"
 #include "pidginpluginsmenu.h"
diff --git a/pidgin/pidginconversationwindow.h b/pidgin/pidgindisplaywindow.h
rename from pidgin/pidginconversationwindow.h
rename to pidgin/pidgindisplaywindow.h
diff --git a/pidgin/pidginconversationwindow.c b/pidgin/pidgindisplaywindow.c
rename from pidgin/pidginconversationwindow.c
rename to pidgin/pidgindisplaywindow.c
--- a/pidgin/pidginconversationwindow.c
+++ b/pidgin/pidgindisplaywindow.c
@@ -24,7 +24,7 @@
 
 #include <adwaita.h>
 
-#include "pidginconversationwindow.h"
+#include "pidgindisplaywindow.h"
 
 #include "gtkconv.h"
 #include "gtkdialogs.h"
@@ -493,7 +493,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin3/Conversations/window.ui"
+	    "/im/pidgin/Pidgin3/Display/window.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginDisplayWindow,
diff --git a/pidgin/resources/Conversations/window.ui b/pidgin/resources/Display/window.ui
rename from pidgin/resources/Conversations/window.ui
rename to pidgin/resources/Display/window.ui
diff --git a/pidgin/resources/pidgin.gresource.xml b/pidgin/resources/pidgin.gresource.xml
--- a/pidgin/resources/pidgin.gresource.xml
+++ b/pidgin/resources/pidgin.gresource.xml
@@ -15,10 +15,10 @@
     <file compressed="true">Conversations/infopane.ui</file>
     <file compressed="true">Conversations/invite_dialog.ui</file>
     <file compressed="true">Conversations/tab-label.css</file>
-    <file compressed="true">Conversations/window.ui</file>
     <file compressed="true">Debug/debug.ui</file>
     <file compressed="true">Dialogs/addbuddy.ui</file>
     <file compressed="true">Dialogs/addchat.ui</file>
+    <file compressed="true">Display/window.ui</file>
     <file compressed="true">Keypad/keypad.ui</file>
     <file compressed="true">Media/window.ui</file>
     <file compressed="true">Notifications/addcontact.ui</file>
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -347,9 +347,9 @@
 pidgin/pidgincolor.c
 pidgin/pidgincommands.c
 pidgin/pidgincontactlistwindow.c
-pidgin/pidginconversationwindow.c
 pidgin/pidgindebug.c
 pidgin/pidgindialog.c
+pidgin/pidgindisplaywindow.c
 pidgin/pidginiconname.c
 pidgin/pidgininfopane.c
 pidgin/pidgininvitedialog.c
@@ -398,10 +398,10 @@
 pidgin/resources/BuddyList/window.ui
 pidgin/resources/Conversations/infopane.ui
 pidgin/resources/Conversations/invite_dialog.ui
-pidgin/resources/Conversations/window.ui
 pidgin/resources/Debug/debug.ui
 pidgin/resources/Dialogs/addbuddy.ui
 pidgin/resources/Dialogs/addchat.ui
+pidgin/resources/Display/window.ui
 pidgin/resources/Keypad/keypad.ui
 pidgin/resources/Media/window.ui
 pidgin/resources/Plugins/dialog.ui
